KUBERNETES(1)

NAME

kubeadm join phase control-plane-join all - Joins a machine as a control plane instance

SYNOPSIS

kubeadm join phase control-plane-join all [OPTIONS]

DESCRIPTION

Joins a machine as a control plane instance

OPTIONS

--apiserver-advertise-address=""
    If the node should host a new control plane instance, the IP address the API Server will advertise it's listening on. If not set the default network interface will be used.

--config=""
    Path to kubeadm config file.

--experimental-control-plane=false
    Create a new control plane instance on this node

--node-name=""
    Specify the node name.

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

SEE ALSO

kubeadm-join-phase-control-plane-join(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!